<?php

add_action('init','of_options');
define('Options_Name', 'تنظیمات قالب');

if (!function_exists('of_options')) {
function of_options(){


	$shortname = "my_theme";
	$themename = 'قالب من';

//Populate the options array
global $tt_options;
$tt_options = get_option('of_options');

$tt_pages = array();
$tt_pages_obj = get_pages('sort_column=post_parent,menu_order');    
foreach ($tt_pages_obj as $tt_page) {
	$tt_pages[$tt_page->ID] = $tt_page->post_title; 
}
$select_a_page = array("select_a_page" => "برگه ای را انتخاب کنید:");
$wp_pages = $select_a_page + $tt_pages;


$tt_posts = array();
$tt_posts_obj = get_posts('numberposts=30');    
foreach ($tt_posts_obj as $tt_post) {
	$tt_posts[$tt_post->ID] = $tt_post->post_title; 
}
$select_a_post = array("select_a_post" => "نوشته ای را انتخاب کنید:");
$wp_posts = $select_a_post + $tt_posts;

$tt_categories = array();  
$tt_categories_obj = get_categories('hide_empty=0');
foreach ($tt_categories_obj as $tt_cat) {
	$tt_categories[$tt_cat->cat_ID] = $tt_cat->cat_name;
}
$select_a_cat = array('selec_a_category'=>'دسته ای را انتخاب کنید:');
$wp_categories = $select_a_cat + $tt_categories;


//Folder Paths for "type" => "images"
$sampleurl =  get_template_directory_uri() . '/admin/images/sample-layouts/';
$options = array(); // این خط را حذف نکنید 



/////////////////////////////////////////////// تنظیمات از این جا به بعد قرار گیرند ///////////////////////////////////////


/* Option Page 1 - Socials */	
$options[] = array( 
	"name" => 'شبکه های اجتماعی',
	"type" => "heading",
	"slug" => 'socials'
);


$options[] = array( 
	"name" => "لینک فیس بوک",
	"desc" => "لینک صفحه ی فیس بوک را وارد کنید. ",
	"id" => "fb",
	"std" => "مثال: http://fb.com/MihanLearn.com",
	"type" => "text"
);

$options[] = array( 
	"name" => "یاهو آی دی",
	"desc" => "یاهو آی دی خود را وارد کنید",
	"id" => "yahoo",
	"std" => "مثال: barggraph.online",
	"type" => "text"
);


$options[] = array( 
	"name" => "لینک توئیتر",
	"desc" => "لینک پروفایل توئیتر را وارد کنید. ",
	"id" => "tw",
	"std" => "مثال: http://twitter.com/PoshtibanHa",
	"type" => "text"
);


/* Option Page 2 - header Links */	
$options[] = array( 
	"name" => 'لینک های هدر',
	"type" => "heading",
	"slug" => 'header'
);


$options[] = array( 
	"name" => "وبلاگ ما",
	"desc" => "لینک وبلاگ ما   را وارد کنید",
	"id" => "blog",
	"type" => "text"
);

$options[] = array( 
	"name" => "درباره ما",
	"desc" => "لینک درباره ما   را وارد کنید",
	"id" => "about",
	"type" => "text"
);

$options[] = array( 
	"name" => "تماس با ما",
	"desc" => "لینک تماس با ما   را وارد کنید",
	"id" => "contact",
	"type" => "text"
);

$options[] = array( 
	"name" => "تبلیغات",
	"desc" => "لینک   تبلیغات را وارد کنید",
	"id" => "ads",
	"type" => "text"
);



/* Option Page 3 - Music Player */	
$options[] = array( 
	"name" => 'موزیک پلیر',
	"type" => "heading",
	"slug" => 'player'
);

$options[] = array( 
	"name" => "نام آهنگ",
	"desc" => "نام فایل را وارد کنید",
	"std" => "مثال: Ebi - Khali",
	"id" => "player_name",
	"type" => "text"
);

$options[] = array( 
	"name" => "لینک فایل",
	"desc" => "آدرس فایل موزیک را وارد کنید",
	"std" => "مثال: http://sibaweb.ir/example.mp3",
	"id" => "player_file",
	"type" => "text"
);

/* Option Page 7 - Slider */	
$options[] = array( 
	"name" => 'اسلایدر',
	"type" => "heading",
	"slug" => 'slider'
);


$options[] = array( 
	"name" => 'وضعیت',
	"desc" => 'فعال',
	"id" => "slider_status",
	"std" => "false", 
	"type" => "checkbox"
);


$options[] = array( 
	"name" => 'دسته بندی',
	"desc" => 'دسته مورد نظر را انتخاب کنید.',
	"id" => "slider_category",
	"std" => "1",
	"type" => "select",
	"options" => $wp_categories
);
$options[] = array( 
	"name" => "تعداد مطالب ",
	"desc" => "تعداد مطالب  را وارد نمایید.",
	"id" => "slider_number",
	"std" => "مثال: 3 (بهتر است عدد وارد شده مضربی از 3 باشد)",
	"type" => "text"
);






//////////////////////////////////////////         پایان تنظیمات       //////////////////////////////////////////////////


update_option('of_template',$options); 			  
update_option('of_themename',$themename);   
update_option('of_shortname',$shortname);
return $options;
}
}
?>