<!doctype html>
<html>
<head>
	<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" /> 
    <meta name="generator" content="WordPress <?php bloginfo('version'); ?>" /> <!-- leave this for stats please -->
	<title><?php bloginfo('name'); ?><?php wp_title(); ?></title>
    <link rel="alternate" type="application/rss+xml" title="RSS 2.0" href="<?php bloginfo('rss2_url'); ?>" />
    <link rel="alternate" type="text/xml" title="RSS .92" href="<?php bloginfo('rss_url'); ?>" />
    <link rel="alternate" type="application/atom+xml" title="Atom 0.3" href="<?php bloginfo('atom_url'); ?>" />
    <link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />

    <?php wp_get_archives('type=monthly&format=link'); ?>
    <?php //comments_popup_script(); // off by default ?>
    <?php wp_head(); ?>

<style type="text/css" media="all">
@import url(<?php bloginfo('template_url'); ?>/style.css);
@import url(<?php bloginfo('template_url'); ?>/skin.css);
@import url(<?php bloginfo('template_url'); ?>/player.css);
</style>
<script src="<?php bloginfo('template_url'); ?>/js/jquery.min.js"></script>
<script src="<?php bloginfo('template_url'); ?>/player/mediaelement-and-player.min.js"></script>
<script>
    $(document).ready(function() {
        $('#audio-player').mediaelementplayer({
            alwaysShowControls: true,
            features: ['playpause','volume','progress'],
            audioVolume: 'horizontal',
            audioWidth: 400,
            audioHeight: 120
        });
    });
</script>
<script type="text/javascript" src="<?php bloginfo('template_url'); ?>/js/jquery.jcarousel.min.js"></script>
<script type="text/javascript">

jQuery(document).ready(function() {
    jQuery('#mycarousel').jcarousel({
        start:3
    });
});

</script>

	<?php if ( is_singular() ) wp_enqueue_script( 'comment-reply' ); ?>

	</head>
<body>
<?php include_once("analyticstracking.php") ?>
<div style="visibility:hidden;display:none">
<h1>پی سی لایت</h1>
</div>
<div class="top">
<div class="middle">
	<ul>
        <li><a href="<?php bloginfo('url'); ?>" class="home">&nbsp;</a></li>
		<?php if (get_option('blog')): ?>
        <li><a href="<?php echo get_option('blog') ?>" class="blog">&nbsp;</a></li>
		<?php endif; ?>
		<?php if (get_option('about')): ?>
        <li><a href="<?php echo get_option('about') ?>" class="about">&nbsp;</a></li>
		<?php endif; ?>
		<?php if (get_option('ads')): ?>
        <li><a href="<?php echo get_option('ads') ?>" class="ads">&nbsp;</a></li>
 		<?php endif; ?>
		<?php if (get_option('contact')): ?>
       <li><a href="<?php echo get_option('contact') ?>" class="contact">&nbsp;</a></li>
 		<?php endif; ?>
   </ul>
    
    <div class="search">
		<form method="get" id="searchform" action="<?php bloginfo('home'); ?>/">
		<input type="submit" class="submit" value=" "/>
		<input type="text" name="s" class="input" placeholder="کلمه کلیدی را وارد کنید ...">
		</form>		
    </div><!--Search-->
    
    <a href="ymsgr:sendim?<?php echo get_option('yahoo') ?>" class="ymsg">ارتباط از طریق یاهو مسنجر</a>
</div><!--middle-->
</div><!--top-->
<div class="shadow"></div>
<div class="middle">
<a href="#" class="logo"></a>
<div class="hader_ads">
<?php if ( !function_exists('dynamic_sidebar')  || !dynamic_sidebar('تبلیغات هدر') ) : ?><?php endif; ?>	
<br>
</div><!--hader_ads-->
<br>
<div class="music">

	<div class="player">
    	<h4> </h4>
        <div class="audio-player">
    		
    	</div><!--audio-player-->
    </div><!--Player-->
    
	<div class="newslater">
    	<h5>عضویت درخبرنامه</h5>
        <div class="field">
            <form action="http://feedburner.google.com/fb/a/mailverify" method="post" id="mc-embedded-subscribe-form" name="mc-embedded-subscribe-form" class="feedburner" target="popupwindow" onsubmit="window.open('http://feedburner.google.com/fb/a/mailverify?uri=p30light/dvcT', 'popupwindow', 'scrollbars=yes,width=550,height=520');return true">
<input type="hidden" value="P30light" name="uri">
            <input type="text" name="email" id="mce-EMAIL" placeholder="ایمیل خود را وارد کنید ...">
            <input type="submit" value="">
</form>
        </div><!--Field-->
    </div><!--Newsletter-->
    
</div><!--Music-->
